Qt 5.6 | Qt 3D | C++ Classes | QAspectJob

Qt 5.6.3 Reference Documentation

# QAspectJob Class

(Qt3DCore::QAspectJob)

- List of all members, including inherited members

## Public Functions

| QAspectJob()
virtual | ~QAspectJob()
void | addDependency(QWeakPointer<QAspectJob> dependency)
QVector<QWeakPointer<QAspectJob> > | dependencies() const
void | removeDependency(QWeakPointer<QAspectJob> dependency)
virtual void | run() = 0

## Protected Functions

| QAspectJob(QAspectJobPrivate &dd)

## Member Function Documentation

### QAspectJob::QAspectJob()

Default constructs an instance of QAspectJob.

### `[protected]` QAspectJob::QAspectJob(QAspectJobPrivate &dd)

Copy constructor.

### `[virtual]` QAspectJob::~QAspectJob()

Destroys the instance of QAspectJob. The destructor is virtual.

### void QAspectJob::addDependency(QWeakPointer<QAspectJob> dependency)

### QVector<QWeakPointer<QAspectJob> > QAspectJob::dependencies() const

### void QAspectJob::removeDependency(QWeakPointer<QAspectJob> dependency)

### `[pure virtual]` void QAspectJob::run()